| PUT | /RestApi/comments-api/threads |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | body | string | No | |
| IsClosed | body | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Type | form | string | No | |
| CommentsCount | form | int | No | |
| Title | form | string | No | |
| Language | form | string | No | |
| IsClosed | form | bool | No | |
| GroupKey | form | string | No | |
| ItemUrl | form | string | No | |
| DataSource | form | string | No | |
| AverageRating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/threads HTTP/1.1
Host: www.asg.com.au
Accept: application/json
Content-Type: application/json
Content-Length: length
{"Key":"String","IsClosed":false}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"Key":"String","Type":"String","CommentsCount":0,"Title":"String","Language":"String","IsClosed":false,"GroupKey":"String","ItemUrl":"String","DataSource":"String","AverageRating":0}